<template>
    <div class="content-wrapper">
        <BoxedQuizQuestion
            v-for="(question, index) in quiz.questions"
            :key="index"
            :question="question"
            :selectOption="selectOption"
            v-show="index === currentQuestionIndex"
        />
        <div
            class="button-wrapper"
            v-if="
                currentQuestionIndex > 0 && currentQuestionIndex < quiz.questions.length
            "
        >
            <div class="back-button" @click="backToPreviousQuestion">
                <NuxtImg src="images/arrow-left.svg" width="10" />
                <span> Voltar </span>
            </div>
        </div>
    </div>
</template>

<script lang="ts" setup>
import type { Quiz } from "@/types/Quiz/Quiz";

defineProps({
    quiz: {
        type: Object as () => Quiz,
        required: true,
    },
    currentQuestionIndex: {
        type: Number,
        required: true,
    },
    selectOption: {
        type: Function as PropType<
            (event: MouseEvent, optionId: number, questionId: number) => void
        >,
        required: true,
    },
    backToPreviousQuestion: {
        type: Function as PropType<(event: MouseEvent) => void>,
        required: true,
    },
});
</script>

<style lang="scss" scoped>
.content-wrapper {
    .back-button {
        width: 60px;
        font-weight: 600;
        font-size: 14px;
        line-height: 150%;
        color: #7f7f85;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 5px;
        margin-top: 15px;
    }
}
</style>
